# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KLineEditDlg Class Reference

`#include <klineeditdlg.h>`

Inheritance diagram for KLineEditDlg:

[legend]
Collaboration diagram for KLineEditDlg:

[legend]
List of all members.

## Public Slots

void | slotClear ()

## Public Member Functions

| KLineEditDlg (const QString &_text, const QString &_value, QWidget *parent) KDE_DEPRECATED
QString | text () const
KLineEdit * | lineEdit () const

## Static Public Member Functions

static QString | getText (const QString &text, const QString &value, bool *ok, QWidget *parent, QValidator *validator=0) KDE_DEPRECATED
static QString | getText (const QString &caption, const QString &text, const QString &value=QString::null, bool *ok=0, QWidget *parent=0, QValidator *validator=0) KDE_DEPRECATED

## Protected Slots

void | slotTextChanged (const QString &)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Protected Attributes

KLineEdit * | edit

## Detailed Description

Deprecated:
  Please use KInputDialog instead.

Dialog for user to enter a single line of text.

Version:
  Id
    klineeditdlg.h 345070 2004-09-08 19:30:58Z staniek

Author:
  David Faure <faure@kde.org>, layout management by Preston Brown <pbrown@kde.org>

Definition at line 38 of file klineeditdlg.h.

## Constructor & Destructor Documentation

KLineEditDlg::KLineEditDlg | ( | const QString & | _text,
|  | const QString & | _value,
|  | QWidget * | parent
| ) |

Create a dialog that asks for a single line of text.

_value is the initial value of the line. _text appears as label on top of the entry box. If the internal line edit has an associated QValidator set, the OK button is disabled as long as the validator doesn't return Acceptable. If there's no validator, the OK button is enabled whenever the line edit isn't empty.

If you want to accept empty input, make a trivial QValidator that always returns Acceptable, e.g. QRegExpValidator with a regexp of ".*".

Parameters:

  | _text | Text of the label
  | _value | Initial value of the inputline
  | parent | Parent widget for the line edit dialog

Definition at line 37 of file klineeditdlg.cpp.

References edit, KDialogBase::enableButton(), KDialogBase::enableButtonOK(), KDialogBase::plainPage(), QLineEdit::setSelection(), KLineEdit::setText(), QLineEdit::sizeHint(), slotClear(), slotTextChanged(), KDialog::spacingHint(), QLineEdit::text(), and KDialogBase::user1Clicked().

## Member Function Documentation

QString KLineEditDlg::text | ( |  | ) | const

Returns:
  the value the user entered

Definition at line 154 of file klineeditdlg.cpp.

References edit, and QLineEdit::text().

Referenced by getText(), and slotTextChanged().

KLineEdit* KLineEditDlg::lineEdit | ( |  | ) | const`[inline]`

Returns:
  the line edit widget

Definition at line 69 of file klineeditdlg.h.

Referenced by getText().

QString KLineEditDlg::getText | ( | const QString & | text,
|  | const QString & | value,
|  | bool * | ok,
|  | QWidget * | parent,
|  | QValidator * | validator = `0`
| ) | `[static]`

Static convenience function to get a textual input from the user.

Parameters:

  | text | Text of the label
  | value | Initial value of the inputline
  | ok | this bool will be set to true if user pressed "Ok"
  | validator | Validator to be stuffed into the line edit.
  | parent | The parent widget

Definition at line 159 of file klineeditdlg.cpp.

References QDialog::exec(), lineEdit(), QLineEdit::setValidator(), slotTextChanged(), and text().

QString KLineEditDlg::getText | ( | const QString & | caption,
|  | const QString & | text,
|  | const QString & | value = `QString::null`,
|  | bool * | ok = `0`,
|  | QWidget * | parent = `0`,
|  | QValidator * | validator = `0`
| ) | `[static]`

Static convenience function to get a textual input from the user.

This method includes a caption, and has (almost) the same API as QInputDialog::getText (no echo mode, we have KPasswordDialog).

Parameters:

  | caption | Caption of the dialog
  | text | Text of the label
  | value | Initial value of the inputline
  | ok | this bool will be set to true if user pressed "Ok"
  | parent | The parent widget for this text input dialog
  | validator | Validator to be stuffed into the line edit.

Definition at line 174 of file klineeditdlg.cpp.

References QDialog::exec(), lineEdit(), KDialog::setCaption(), QLineEdit::setValidator(), slotTextChanged(), and text().

void KLineEditDlg::slotClear | ( |  | ) | `[slot]`

| Clears the edit widget. Definition at line 134 of file klineeditdlg.cpp. References edit, and KLineEdit::setText(). Referenced by KLineEditDlg().

void KLineEditDlg::slotTextChanged | ( | const QString & |  | ) | `[protected, slot]`

| Enables and disables the OK button depending on the state returned by the lineedit's QValidator. Definition at line 139 of file klineeditdlg.cpp. References QLineEdit::cursorPosition(), edit, KDialogBase::enableButton(), KDialogBase::enableButtonOK(), QString::isEmpty(), QString::length(), text(), QLineEdit::text(), and QLineEdit::validator(). Referenced by getText(), and KLineEditDlg().

## Member Data Documentation

KLineEdit* KLineEditDlg::edit`[protected]`

| The line edit widget. Definition at line 117 of file klineeditdlg.h. Referenced by KLineEditDlg(), slotClear(), slotTextChanged(), and text().

The documentation for this class was generated from the following files:

- klineeditdlg.h
- klineeditdlg.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:33 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003